\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{imsas}[2023 Template for Master or bachelor theses]
\LoadClass[a4paper,10pt]{article}

%\RequirePackage[ngerman]{babel}             % German language 
\RequirePackage[english]{babel}            % English language
%\RequirePackage[utf8]{inputenc}             % UTF-8 source file encoding
\RequirePackage{amssymb}                    % Mathematical symbols and functions
\RequirePackage{amsmath}                    % Mathematical symbols and functions
\RequirePackage{amsfonts}                   % Mathematical symbols and fonts
\RequirePackage{amsthm}                     % Mathematical theorems
\RequirePackage{latexsym}                   % Mathematical symbols
\RequirePackage{enumerate}                  % Creates numbered lists
\RequirePackage{mathtools}                  % Mathematical commands
\RequirePackage{float}                      % Floating objects
\RequirePackage{lipsum}                     % Dummy text
\RequirePackage[top = 2.5cm, bottom = 2cm, left = 2.5cm, right = 2.5cm]{geometry}
\RequirePackage{graphicx}                   % For floating figures
\RequirePackage{fancyhdr}                   % Designable header and footer
\RequirePackage{fancybox}                   % Designable header and footer
\RequirePackage{calc}                       % Arithmetic and calculation tools
\RequirePackage{color}                      % Color of text backgrounds and lines
\RequirePackage{xcolor}                     % Color of text backgrounds and lines
\RequirePackage[T1]{fontenc}                % Encoding of the fonts
\RequirePackage{helvet}                 

\RequirePackage{mathrsfs}                   % Mathematical calligraphic font
\RequirePackage{hyperref}                   % Creating hyperlinks
\RequirePackage{caption}                    % caption for figures
\RequirePackage{subcaption}                 % Sub figures within a  figure

\RequirePackage{textcomp}                   % Additional symbols
\RequirePackage{gensymb}                    % Mathematical symbols
\RequirePackage{exscale}                    % Scalable mathematical symbols
\RequirePackage{comment}                    % Inserting comments
\RequirePackage{siunitx}                    % Automatic spacing for numbers and units

\RequirePackage{url}                        % Typesetting URLs
\RequirePackage{parskip}                    % Vertical whitespace
\RequirePackage{sectsty}                    % Customize section headings
\RequirePackage{setspace}
\RequirePackage{enumitem,amssymb}
\newlist{todolist}{itemize}{2}
\setlist[todolist]{label=$\square$}

%Custom fontsize
\sectionfont{\fontsize{16}{18}\selectfont}
\subsectionfont{\fontsize{12}{14}\selectfont}

%Line spacing set to 1.5
\renewcommand{\baselinestretch}{1.5} 

%Custom header and footer
\pagestyle{fancy}
\fancyhf{}
\setlength{\footskip}{40pt}

%\setlength{\headheight}{36pt}
%\setlength{\footskip}{37pt}

\renewcommand{\headrulewidth}{0.5pt}
\renewcommand{\headrule}{\color{gray}\hrule}
\renewcommand{\footrulewidth}{0.5pt}
\renewcommand{\footrule}{\color{gray}\hrule}
\fancyfoot[R]{\raisebox{20pt}\thepage}
\fancyfoot[l]{\includegraphics[width=4.7cm , height=1cm]{graphic/imsas_logo.png}}

